classification
Title: fixing 2.5.1 build with unicode and dynamic loading disabled
Type: Stage:
Components: Build Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, neundorf, nnorwitz
Priority: normal Keywords: patch

Created on 2007-07-11 19:40 by neundorf, last changed 2007-08-23 18:08 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
python-2.5.1.diff neundorf, 2007-07-11 19:40 mentioned patch
Messages (4)
msg52841 - (view) Author: Alexander Neundorf (neundorf) * Date: 2007-07-11 19:40
I'm currently porting python to some 
platforms with limited capabilities and so I thought it would be a good idea 
to subscribe here.
While doing the porting, I found two small problems in Python 2.5.1:

If Py_USING_UNICODE is disabled, in Python/ast.c decode_unicode() still calls 
unicode-related functions, which leads to undefined references when linking.

If HAVE_DYNAMIC_LOADING is disabled, in Python/import.c 
_PyImport_DynLoadFiletab is still initialized, which also leads to undefined 
references when linking, since then no source file which defines this 
variable is used.
msg52842 - (view) Author: Alexander Neundorf (neundorf) * Date: 2007-08-03 16:14
Any chance this could be committed to the 2.5 branch ?
Or should I post a patch against curren trunk ?

Alex
msg52843 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-08-08 07:39
No, hopefully someone will get to this soon.  These files aren't likely to have changed between 2.5 and trunk.  Although it is generally preferable to provide a patch against trunk in case things have changed.  Georg may have fixed one or both of these recently.
msg55170 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 18:08
Okay, fixed both and backported in rev. 57328, 57330.
History
Date User Action Args
2007-08-23 18:08:55georg.brandlsetstatus: open -> closed
assignee: georg.brandl
resolution: fixed
messages: + msg55170
nosy: + georg.brandl
2007-07-11 19:40:10neundorfcreate